From f4b779e7d0e4a329073d6588decd5c8ea53e5f7d Mon Sep 17 00:00:00 2001
From: amitlan <amitlangote09@gmail.com>
Date: Thu, 22 Oct 2020 14:45:47 +0900
Subject: [PATCH v1 1/3] Fix a thinko of 1375422c782

EvalPlanQualStart() was mistakenly modified to reset parent EState's
es_result_relations.
---
 src/backend/executor/execMain.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/executor/execMain.c b/src/backend/executor/execMain.c
index aea0479..7179f58 100644
--- a/src/backend/executor/execMain.c
+++ b/src/backend/executor/execMain.c
@@ -2693,7 +2693,7 @@ EvalPlanQualStart(EPQState *epqstate, Plan *planTree)
 	 * ResultRelInfos needed by subplans are initialized from scratch when the
 	 * subplans themselves are initialized.
 	 */
-	parentestate->es_result_relations = NULL;
+	rcestate->es_result_relations = NULL;
 	/* es_trig_target_relations must NOT be copied */
 	rcestate->es_top_eflags = parentestate->es_top_eflags;
 	rcestate->es_instrument = parentestate->es_instrument;
-- 
1.8.3.1

